<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.GazelleCrossValidatorResultBrowser']}</h2>
        <s:div id="globalDiv">
            <h:form id="criteriaForm">
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">

                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.xval.RefreshResults']}"
                                         render="globalDiv">
                            <span class="gzl-icon-refresh"></span>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.xval.ResetCriteria']}"
                                         actionListener="#{gcvReportBrowser.reset()}"
                                         render="globalDiv">
                            <span class="gzl-icon-times-circle"></span>
                        </a4j:commandLink>
                    </ui:define>
                    <s:token allowMultiplePosts="true"/>
                    <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
                    <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                                   value="#{gcvReportBrowser.filter.urlParameters}"/>
                    <script>
                        updateUrl("criteriaForm:filterUrlParameters");
                        jq162("#criteriaForm\\:filterUrlParameters").bind('change',
                                function () {
                                    updateUrl("criteriaForm:filterUrlParameters");
                                });
                    </script>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{gcvReportBrowser.filter}"/>
                                <ui:param name="filterId" value="validator"/>
                                <ui:param name="filterName"
                                          value="#{messages['net.ihe.gazelle.xval.GazelleCrossValidator']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{gcvReportBrowser.filter}"/>
                                <ui:param name="filterId" value="affinityDomain"/>
                                <ui:param name="filterName"
                                          value="#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterWidth" value="240"/>
                                <ui:param name="filter" value="#{gcvReportBrowser.filter}"/>
                                <ui:param name="filterId" value="result"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.Result']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filterDate.xhtml">
                                <ui:param name="filter" value="#{gcvReportBrowser.filter}"/>
                                <ui:param name="filterId" value="timestamp"/>
                                <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.ValidationDate']}"/>
                                <ui:param name="filterForm" value="globalDiv"/>
                            </ui:include>
                        </div>
                    </div>
                </ui:decorate>
            </h:form>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.FilteredResults']}"/>
                </ui:define>
                <h:form id="resultForm">
                    #{dataTableStateHolder.setDescendingOn('timestamp')}
                    <rich:dataTable value="#{gcvReportBrowser.crossValidationLogs}"
                                    var="entry" id="logTable"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="ds">
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.OID']}</ui:define>
                            <g:link value="#{entry}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.ValidationDate']}</ui:define>
                            <g:date value="#{entry.timestamp}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.GazelleCrossValidator']}
                            </ui:define>
                            <h:outputText value="#{entry.gazelleCrossValidator} (#{entry.affinityDomain})"/>
                        </g:column>
                        <g:column rendered="#{identity.loggedIn}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.Username']}</ui:define>
                            <h:outputText value="#{gcvReportBrowser.getUserName(entry.username)}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.xval.Result']}</ui:define>
                            <h:outputText value="#{entry.result}"/>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="logTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </h:form>
            </ui:decorate>
        </s:div>
    </ui:define>
</ui:composition>
